package com.engine.organization.transmethod;

import cn.hutool.core.convert.Convert;
import weaver.systeminfo.SystemEnv;

/**
 * @description:
 * @author:dxfeng
 * @createTime: 2022/06/07
 * @version: 1.0
 */
public class StaffTransMethod {

    public static String getLackSpan(String lackStatus, String languageId) {
        Integer language = Convert.toInt(languageId, -1);
        String lackSpan = "";
        int labelId = -1;
        switch (lackStatus) {
            case "1":
                lackSpan = "缺编";
                labelId = 547351;
                break;
            case "2":
                lackSpan = "满员";
                labelId = 547350;
                break;
            case "3":
                lackSpan = "超编";
                labelId = 547352;
                break;
            default:
                break;

        }
        if (-1 == language || -1 == labelId) {
            return lackSpan;
        }
        return SystemEnv.getHtmlLabelName(labelId, language);
    }

}
